<!DOCTYPE html>
<html lang="ru">
	<head>
		<meta charset="utf-8">
		<title><%= htmlWebpackPlugin.options.title %></title>
		<meta name="viewport" content="width=device-width,initial-scale=1">
		<meta name="mobile-web-app-capable" content="yes">
		<meta name="apple-mobile-web-app-capable" content="yes">
		<link rel="manifest" href="<%= htmlWebpackPlugin.files.publicPath %>manifest.json">
		<% if (htmlWebpackPlugin.options.manifest.theme_color) { %>
			<meta name="theme-color" content="<%= htmlWebpackPlugin.options.manifest.theme_color %>">
		<% } %>
		<% for (var chunk of webpack.chunks) { %>
		 <% if (chunk.names.length === 1 && chunk.names[0] === 'polyfills') continue; %>
			<% for (var file of chunk.files) { %>
				<% if (htmlWebpackPlugin.options.preload && file.match(/\.(js|css)$/)) { %>
					<link rel="preload" href="<%= htmlWebpackPlugin.files.publicPath + file %>" as="<%= file.match(/\.css$/)?'style':'script' %>">
				<% } else if (file.match(/manifest\.json$/)) { %>
					<link rel="manifest" href="<%= htmlWebpackPlugin.files.publicPath + file %>">
				<% } %>
			<% } %>
		<% } %>
	</head>
	<body>
		<%= htmlWebpackPlugin.options.ssr({
			url: '/'
		}) %>
	<script>
		window.__initialize = function () {
			var e = document.createElement('script');
			e.defer = true;
			e.src = '<%= htmlWebpackPlugin.files.chunks['bundle'].entry %>';
			document.body.appendChild(e);

			if (window.fetch) {
				e = document.createElement('script');
				e.src = '<%= htmlWebpackPlugin.files.chunks["polyfills"].entry %>';
				document.body.appendChild(e);
			}

			delete window.__initialize;
		};

		var e = document.createElement('script');
		e.defer = true;
		e.src = '/assets/wakeup.js';
		document.body.appendChild(e);
	</script>
	</body>
</html>
